std::rank< typename > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

Inheritance diagram for std::rank< typename >:
[legend]

## Public Types

using | type = integral_constant< std::size_t, __v >
using | value_type = std::size_t

## Public Member Functions

constexpr | operator value_type () const noexcept

## Static Public Attributes

static constexpr std::size_t | value

## Detailed Description

template<typename>
struct std::rank< typename >

rank

Definition at line 1437 of file type_traits.

## Member Typedef Documentation

## type

using std::integral_constant< std::size_t , __v >::type = integral_constant<std::size_t , __v>

inherited

Definition at line 91 of file type_traits.

## value_type

using std::integral_constant< std::size_t , __v >::value_type = std::size_t

inherited

Definition at line 90 of file type_traits.

## Member Function Documentation

## operator value_type()

constexpr std::integral_constant< std::size_t , __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 92 of file type_traits.

## Member Data Documentation

## value

constexpr std::size_t std::integral_constant< std::size_t , __v >::value

static constexpr inherited

Definition at line 89 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits